#!/usr/bin/python
# -*- coding: utf-8 -*-

import time
import RPi.GPIO as gpio

 ## LUCES DE CONTROL
LEDCONTROL1G = 4
LEDCONTROL1B = 17
LEDCONTROL2B = 27
 ## LUCES DE CONTROL LECTURA
LEDLECTURAG = 18
LEDLECTURAR1 = 23
LEDLECTURAR2 = 24

gpio.setmode(gpio.BCM)
gpio.setwarnings(False)

## Led de control configuración
gpio.setup(LEDCONTROL1G, gpio.OUT)
gpio.setup(LEDCONTROL1B, gpio.OUT)
gpio.setup(LEDCONTROL2B, gpio.OUT)
gpio.setup(LEDLECTURAG, gpio.OUT)
gpio.setup(LEDLECTURAR1, gpio.OUT)
gpio.setup(LEDLECTURAR2, gpio.OUT)

def aviso_existetrabajo():
	### Parpadeamos el led de control en verde y azul durante 2 segundos
	gpio.output(LEDCONTROL1G, False)
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	for i in range(10):
		gpio.output(LEDCONTROL1G, True)
		time.sleep(0.3)
		gpio.output(LEDCONTROL1G, False)
		gpio.output(LEDCONTROL1B, True)
		time.sleep(0.3)
		gpio.output(LEDCONTROL1B, False)
	
def aviso_pilototrabaja():
	### primer led en verde
	gpio.output(LEDCONTROL1G, False)
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	time.sleep(0.1)
	gpio.output(LEDCONTROL1G, True)

def aviso_lecturacorrecta():
	## 3 y 4 en verde
	gpio.output(LEDLECTURAG, True)
	time.sleep(0.3)
	gpio.output(LEDLECTURAG, False)
	return

def aviso_lecturaincidencianormal():
	## led 3 en rojo
	gpio.output(LEDLECTURAR1, True)
	time.sleep(0.3)
	gpio.output(LEDLECTURAR1, False)
	return

def aviso_lecturaincidenciadesconocida():
	## led 3 y 4 en rojo
	gpio.output(LEDLECTURAR1, True)
	gpio.output(LEDLECTURAR2, True)
	## Permanecen encendidos hasta que el piloto realice alguna acción
	return

def aviso_conexion():
	## led 1 en azul
	gpio.output(LEDCONTROL1G, False)
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	gpio.output(LEDLECTURAR1, False)
	gpio.output(LEDLECTURAR2, False)
	gpio.output(LEDCONTROL1B, True)
	gpio.output(LEDCONTROL2B, True)
	return

def aviso_hueco():
	## lectura correcta y cerramos azules y verde de trabajo
	aviso_lecturacorrecta()
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	gpio.output(LEDCONTROL1G, True)
	return

def aviso_errordesconocido():
	## led 3 y 4 rojo
	aviso_lecturaincidenciadesconocida()
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	gpio.output(LEDCONTROL1G, True)
	return

def aviso_multicapa():
	## led 2 azul
	gpio.output(LEDCONTROL1B, False)
	return

def aviso_multicapafin():
	gpio.output(LEDCONTROL2B, False)
	gpio.output(LEDCONTROL1G, True)

def aviso_terminado():
	gpio.output(LEDCONTROL1G, False)
	gpio.output(LEDCONTROL1B, False)
	gpio.output(LEDCONTROL2B, False)
	gpio.output(LEDLECTURAG, False)
	gpio.output(LEDLECTURAR1, False)
	gpio.output(LEDLECTURAR2, False)
	panel_apagado()
	panel_tecnico()

#aviso_existetrabajo()
#time.sleep(5)
print("uno")
aviso_pilototrabaja()
print("dos")
time.sleep(5)